# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   Assistant for creating VideoCDs
Name:      qvcd
Version:   0.2
Release:   1
Copyright: GPL
Vendor:    Steffen Sobiech <steffen.sobiech@gmx.de>
Url:       http://www.steffens-sobiech.de/qvcd/index.html

Packager:  Steffen Sobiech <steffen.sobiech@gmx.de>
Group:     Multimedia
Source:    qvcd-0.2.tar.gz
BuildRoot: /var/tmp/qvcd-root

%description
Qt frontend to GNU vcdimager and cdrdao.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr\
                 \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.qvcd
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.qvcd
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.qvcd

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/qvcd
rm -rf ../file.list.qvcd


%files -f ../file.list.qvcd
